Disco Armor [EULA] 1.3

Disco, DiscoArmor, Wardrobe

  1. Hoppys
    Tested Minecraft Versions:
    • 1.9
    • 1.10
    Contributors:
    SkyHuk
    Disco Armor

    Introduction:
    Hello! Today i'm uploading my DiscoArmor plugin, i will be continuing to grow this plugin with many more features to come, with the features that will be added in the future, this plugin may turn into a Premium resource. i will still maintain the lite version. this plugin allows users to have awesome rainbow armor that switches until they disable it. i am currently putting together a Video for you all to view.

    Video:

    Commands & Permissions
    /da <on/enable> | da.use
    /da <off/disable> | da.use
    /da help | da.use

    Pics:

    Demo Server:
    Your server could be here
    Your server could be here
    Your server could be here

    Main Test server: 198.27.70.133

    Have any concerns or problems? let me know.
    monsune and Elijah like this.

Recent Reviews

  1. Benjamaxo
    Benjamaxo
    1/5,
    Version: 1.3
    Get this error when attempting to load:

    [09:47:09 ERROR]: Could not load 'plugins/DiscoArmor.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/hoppys/discoarmor/DiscoArmor : Unsupported major.minor version 52.0
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:135) ~[spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329) ~[spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at org.bukkit.craftbukkit.v1_10_R1.CraftServer.loadPlugins(CraftServer.java:297) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at org.bukkit.craftbukkit.v1_10_R1.CraftServer.reload(CraftServer.java:744) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at org.bukkit.Bukkit.reload(Bukkit.java:539) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:25) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at org.bukkit.craftbukkit.v1_10_R1.CraftServer.dispatchCommand(CraftServer.java:646) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at net.minecraft.server.v1_10_R1.PlayerConnection.handleCommand(PlayerConnection.java:1348) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at net.minecraft.server.v1_10_R1.PlayerConnection.a(PlayerConnection.java:1183) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at net.minecraft.server.v1_10_R1.PacketPlayInChat.a(PacketPlayInChat.java:45) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at net.minecraft.server.v1_10_R1.PacketPlayInChat.a(PacketPlayInChat.java:1) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at net.minecraft.server.v1_10_R1.PlayerConnectionUtils$1.run(SourceFile:13) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [?:1.7.0_95]
    at java.util.concurrent.FutureTask.run(FutureTask.java:262) [?:1.7.0_95]
    at net.minecraft.server.v1_10_R1.SystemUtils.a(SourceFile:45) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at net.minecraft.server.v1_10_R1.MinecraftServer.D(MinecraftServer.java:733) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at net.minecraft.server.v1_10_R1.DedicatedServer.D(DedicatedServer.java:399) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at net.minecraft.server.v1_10_R1.MinecraftServer.C(MinecraftServer.java:672) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at net.minecraft.server.v1_10_R1.MinecraftServer.run(MinecraftServer.java:571) [spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at java.lang.Thread.run(Thread.java:745) [?:1.7.0_95]
    Caused by: java.lang.UnsupportedClassVersionError: me/hoppys/discoarmor/DiscoArmor : Unsupported major.minor version 52.0
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.7.0_95]
    at java.lang.ClassLoader.defineClass(ClassLoader.java:803) ~[?:1.7.0_95]
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) ~[?:1.7.0_95]
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:449) ~[?:1.7.0_95]
    at java.net.URLClassLoader.access$100(URLClassLoader.java:71) ~[?:1.7.0_95]
    at java.net.URLClassLoader$1.run(URLClassLoader.java:361) ~[?:1.7.0_95]
    at java.net.URLClassLoader$1.run(URLClassLoader.java:355) ~[?:1.7.0_95]
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.7.0_95]
    at java.net.URLClassLoader.findClass(URLClassLoader.java:354) ~[?:1.7.0_95]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101) ~[spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:425) ~[?:1.7.0_95]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:358) ~[?:1.7.0_95]
    at java.lang.Class.forName0(Native Method) ~[?:1.7.0_95]
    at java.lang.Class.forName(Class.java:278) ~[?:1.7.0_95]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:64) ~[spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) ~[spigot-1.10.jar:git-Spigot-6016ac7-d5ecbd0]
    ... 21 more
    1. Hoppys
      Author's Response
      What version of minecraft are you using?
  2. Golicraft
    Golicraft
    5/5,
    Version: 3.0
    Thanks for the good plugin +5 stars!
    ----------------------------------------------------------------------
    1. Hoppys
      Author's Response
      Glad you like it! :)
  3. Unknowncall
    Unknowncall
    5/5,
    Version: 3.0
    Love this plugin. It's so simple but it works so well. Really like that fading effect on the armour. :P
    1. Hoppys
  4. TheQaro
    TheQaro
    5/5,
    Version: 3.0
    NICE <3
    Its a nice Plugin.
    its has no bugs and have all what you need :)
    Can you add my Server to the list?
    TheQaro.de (German Server)
    1. Hoppys
      Author's Response
      Thanks! And i've added your server to the list. :)
  5. MinfasCZE
    MinfasCZE
    5/5,
    Version: 3.0
    Best Disco Armor plugin! I like the smooth colors :) Thanks for making this awesome plugin :D
    1. Hoppys
      Author's Response
      Thanks for the feedback! glad you like it. :)
  6. KohakuSaintCrown
    KohakuSaintCrown
    5/5,
    Version: 3.0
    Exelente este plugin es la hostia, es suave la forma en que se cambia el color y me agrada, es como si estubiera en drogas xD good job
    1. Hoppys
  7. minerussia
    minerussia
    5/5,
    Version: 2.0
    Хороший плагин. Большой спасибо за него. Хотелось бы больше настроек. Сенк ю ВЕРИ МАЧ))))
    сколько блять тут символов то надо нахуярить
  8. A_Brave_Panda
    A_Brave_Panda
    3/5,
    Version: 2.0
    Awesome plugin, just one suggestion.. you should make the armor swap speed editable.. like you change armor every .1 second or every 2 seconds..
    1. Hoppys
      Author's Response
      Thanks, and i'll look into it :)
  9. Neon_Ash
    Neon_Ash
    5/5,
    Version: 2.0
    Awesome Hoppys I been Looking for a Disco Armor Plugins Thanks for making it Love u Buddy <3!!!!!!!!
    1. Hoppys
      Author's Response
      Not a problem! :)